/*

Digital Mars Unmangle tools Version 1.0
	 Copyright (C) nyra@sohu.com 2003.  Freeware under GPL

Digital Mars Unmangle tools
			 is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

Digital Mars Unmangle tools
			 is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*/
#include <stdio.h>
#include <stdlib.h>
#include <unmangle.h>

int main(int argc, char* argv[]){
	puts("Digital Mars Unmangle tools Version 1.0 \n"
	     "Copyright (C) nyra@sohu.com 2003.  Freeware under GPL  \n");
    if(argc < 2){
	    puts(  "Dmname is tools to translate C++ link name to defined name. \n"
			 "Usage ([] means optional, ... means zero or more): \n"
			 "\n"
			 "     dmname [name string] ...");
		return 0;
	}
	for(int i=1; i < argc; ++i){
		char* p = unmangle_ident(argv[i]);
		if(p){
			puts(p);
		}else{
			printf("Error name string %s \n", argv[i]);
		}
		free(p);
	}
	return 0;
}
